# andotp2freeotp

Convert the JSON backup from Gnome Authenticator or the unmaintained andOTP app to a format readable by FreeOTP.
Current conversion to JSON format doesn't work since I have an math issue converting the secrets to FreeOTP ones.
See https://github.com/freeotp/freeotp-android/issues/368 and give me a hand with my math skills.
But URI format works as a charm.

## Requirements

See requirements.txt

## Installation

### Linux

  ```bash
sudo python3 setup.py install
```

### Windows (from PowerShell)

  ```powershell
& $(where.exe python).split()[0] setup.py install
```

## Usage

  ```bash
andotp2freeotp.py [--debug-level|-d CRITICAL|ERROR|WARNING|INFO|DEBUG|NOTSET] # Other parameters

  -l, --log-file TEXT             File to store all debug messages.
  -i, --input TEXT                JSON file from andOTP or Gnome Authenticator to convert  [required]
  -o, --output TEXT               JSON/URI file to write for FreeOTP  [required]
  -f, --format [uris|json]        Format for the output. Either URIs or JSON. JSON doesn't work right now, pending on minor issue with conversion of secrets. See https://github.com/freeotp/freeotp-android/issues/368 and help me.
  --config FILE                   Read configuration from FILE.
  --help                          Show this message and exit.
```
